## ros-rolling-gscam 2.0.2

=== debian/changelog ===
ros-rolling-gscam (2.0.2-3jammy) jammy; urgency=high

  * Update ROS2, Ubuntu and GStreamer versions (#85 <https://github.com/ros-drivers/gscam/issues/85>)
  * fix: ros2 gstreamer timestamps (#83 <https://github.com/ros-drivers/gscam/issues/83>)
    * fix: correct gstreamer timestamp offset calculation for image header timestamp
    * docs: add use_gst_timestamps parameter to the readme file
  * ci: update docker image for latest ros distribution (#81 <https://github.com/ros-drivers/gscam/issues/81>)
    * ci: update docker image of rolling
    * ci: add humble distribution
    * ci: add workaround for jammy
  * Contributors: Clyde McQueen, Daisuke Nishimatsu, David Wong

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 16 Jun 2022 07:00:00 -0000

ros-rolling-gscam (2.0.1-3jammy) jammy; urgency=high

  * feat: add yuv support (#78 <https://github.com/ros-drivers/gscam/issues/78>)
    * feat: add yuv support
    * docs: add parameter description about image encodings
  * feat: add option to use sensor data qos (#79 <https://github.com/ros-drivers/gscam/issues/79>)
    * feat: add option to use sensor data qos
    * docs: add description about the new flag
  * Improve Dockerfile (#77 <https://github.com/ros-drivers/gscam/issues/77>)
    * Use COPY instead of git clone
    * Copy source into gscam
    Co-authored-by: Daisuke Nishimatsu <mailto:42202095+wep21@users.noreply.github.com>
    * Small fixes
    Co-authored-by: Daisuke Nishimatsu <mailto:42202095+wep21@users.noreply.github.com>
  * Merge pull request #76 <https://github.com/ros-drivers/gscam/issues/76> from clydemcqueen/ros2
    Fix uninitialized variable, adding more CI / test infrastructure.
  * Merge pull request #9 <https://github.com/ros-drivers/gscam/issues/9> from clydemcqueen/clyde_fixes
    Several fixes
  * feat: add Dockerfile
  * chore: support multiple CLion build envs
  * fix: initialize variable
  * Contributors: Clyde McQueen, Daisuke Nishimatsu, Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 28 Feb 2022 08:00:00 -0000

ros-rolling-gscam (2.0.0-3jammy) jammy; urgency=high

  * fix: fix test dependency in package.xml
  * Add note on testing and examples
  * Update README
  * chore: fix for uncrustify
  * fix: fix smoke test
  * chore: fix copyright
  * chore: fix flake8
  * chore: fix pep257
  * chore: fix lint_cmake
  * chore: fix cpplint
  * chore: change license
  * chore: apply uncrustify
  * chore: add linter dependencies
  * chore: simplify parameter declaration
  * adding explicit parameter types to string parameters
  * Add smoke test
  * Break deadlock for a clean exit
  * fix: fix legacy group namespace
  * chore: install examples directory
  * fix: fix launch extension
  * fix: fix launch executable name
  * feat: create node exe from rclcpp components
  * Update README
  * Remove extra files, rename .h to .hpp
  * Configure once, avoids re-declaring parameters
  * Port launch files to ros2
  * Remove support for gstreamer-0.10
  * Use Github Actions and ros-tooling for CI
  * Remove deprecation warnings, clean up includes
  * Fixed crash in GStreamer 1.16.2, works on Foxy
  * Minimal ROS2 port, works in Eloquent
  * Contributors: Clyde McQueen, Jonathan Bohren, wep21

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 13 Feb 2022 08:00:00 -0000

ros-rolling-gscam (1.0.1-3jammy) jammy; urgency=high

  * Merge pull request #52 <https://github.com/ros-drivers/gscam/issues/52> from k-okada/add_travis
    update travis.yml
  * Update README.md
    gscam -> GSCam
  * update travis.yml
  * Merge pull request #40 <https://github.com/ros-drivers/gscam/issues/40> from ros-drivers/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Kei Okada, Mikael Arguedas

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 06 Sep 2018 07:00:00 -0000

ros-rolling-gscam (1.0.0-3jammy) jammy; urgency=high

  * Gstreamer 1 0 support (#36 <https://github.com/ros-drivers/gscam/issues/36> )
    * delete unused manifest.xml, rosdep.yaml
    * use libgstreamer1.0 for lunar
    * Fixing preproc switches so that the 1.0 branch still builds against 0.1 without the switch flags
    * Preliminary GStreamer-1.0 support see README for more info
  * Contributors: Jonathan Bohren, Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 13 Jun 2017 07:00:00 -0000

ros-rolling-gscam (0.2.0-3jammy) jammy; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#35 <https://github.com/ros-drivers/gscam/issues/35> )
  * gscam_nodelet.h: include scoped_ptr.hpp to compile with boost 1.57
    When compiling gscam with the currently latest boost version 1.57,
    it fails with:
    In file included from [...]/src/gscam_nodelet.cpp:5:0:
    [...]/include/gscam/gscam_nodelet.h:20:12: error: 'scoped_ptr' in namespace 'boost' does not name a template type
    boost::scoped_ptr<GSCam> gscam_driver_;
    ^
    [...]/include/gscam/gscam_nodelet.h:21:12: error: 'scoped_ptr' in namespace 'boost' does not name a template type
    boost::scoped_ptr<boost::thread> stream_thread_;
    ^
    It seems that the dependencies of boost/thread.hpp have changed
    and boost/scoped_ptr.hpp is not included anymore with
    boost/thread.hpp. Hence, the scoped_ptr is not defined in the
    gscam_nodelet header. After scanning quickly through the release
    notes of version 1.57, the boost bug tracker and a few changesets,
    I could not find not a hint what has changed in the thread library
    that gscam must include scoped_ptr itself.
    This commit simply addresses the compiler error by explicitly
    adding boost's scoped_ptr header in the gscam_nodelet header.
    As this commit also compiles with boost version 1.56, the commit
    is not expected to cause any problems with other build
    configurations.
    Signed-off-by: Lukas Bulwahn <lukas.bulwahn@oss.bmw-carit.de>
  * Remove dependency on opencv2 to fix under indigo
    Packages can no longer depend on opencv2 as of indigo.

