=== debian/control ===
Source: ros-rolling-gscam
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-camera-calibration-parsers, ros-rolling-camera-info-manager, ros-rolling-class-loader, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-gscam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-rolling-camera-calibration-parsers, ros-rolling-camera-info-manager, ros-rolling-class-loader, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: A ROS camera driver that uses gstreamer to connect to devices such as webcams.
